Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit 37af317d authored by TreeHugger Robot's avatar TreeHugger Robot Committed by Android (Google) Code Review
Browse files

Merge "startop: Add scripts to dump iorap perfetto/compiler protos"

parents b1e4a7b3 8298ae00
Loading
Loading
Loading
Loading
+38 −0
Original line number Diff line number Diff line
#!/bin/bash
#
# Copyright 2019, The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

#
# Dumps an iorap compiler protobuf from iorap.cmd.compiler into text
# with gqui.
#

if [[ "$#" -lt 1 ]]; then
  echo "Usage: $0 <compiler_trace_file.pb> [...args]" >&2
  exit 1
fi

path_to_proto="$DIR/../../../../../system/iorap/src/serialize/TraceFile.proto"

filename="$1"
shift
if ! [[ -f $filename ]]; then
  echo "Error: $filename does not exist." >&2
  exit 1
fi

gqui "rawproto:$filename" proto "$path_to_proto":iorap.serialize.proto.TraceFile "$@"
+38 −0
Original line number Diff line number Diff line
#!/bin/bash
#
# Copyright 2019, The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

#
# Dumps a perfetto protobuf collected by iorapd (from perfetto) into text
# with gqui.
#

if [[ "$#" -lt 1 ]]; then
  echo "Usage: $0 <perfetto_trace.pb> [...args]" >&2
  exit 1
fi

path_to_perfetto_proto="$DIR/../../../../../external/perfetto/protos/perfetto/trace/perfetto_trace.proto"

filename="$1"
shift
if ! [[ -f $filename ]]; then
  echo "Error: $filename does not exist." >&2
  exit 1
fi

gqui "rawproto:$filename" proto "$path_to_perfetto_proto":perfetto.protos.Trace "$@"